## why3 0.87.1

=== debian/changelog ===
why3 (0.87.1-2build1) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:11:03 +0000

why3 (0.87.1-2) unstable; urgency=medium

  * amended patch drop-timestamp: drop setting of BUILDDATE from configure.in
    (closes: #831664). Invoke autoconf, and build-depend on autoconf,
    since we patch configure.in

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jul 2016 19:05:11 +0200

why3 (0.87.1-1) unstable; urgency=medium

  * new upstream version
    -dropped patch makefile-for-bytecode, since integrated by upstream
  * added z3 prover:
    - alternative dependency z3
    - add package test with z3
  * new patch drop-timestamp: do not include the build-timestamp in the
    produced binaries.

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Jun 2016 20:42:36 +0200

why3 (0.87.0-3) unstable; urgency=medium

  * debian/tests/*: run "why3 config --detect-provers" to make tests
    work in a clean environment.

 -- Ralf Treinen <treinen@debian.org>  Thu, 14 Apr 2016 19:00:49 +0200

why3 (0.87.0-2) unstable; urgency=medium

  * added a new binary package libwhy3-ocaml-dev
    - install libraries in install-arch target of d/rules
    - add d/*.install and d/*.dir files for this package
    - call dh_ocaml with --nodefined-map=why3-coq:Why3 since this unit is
      also exported by the library package
  * d/rules: split into -arch and -indep rules
  * d/control: split off Build-Depends-Indep
  * build and install why tactic for coq:
    - add build-dependency on libcoq-ocaml-dev
    - add coq-tactic to d/why3-coq.install
    - why3-coq: add dependencies ${ocaml:Depends} ${shlibs:Depends}
  * build with menhirlib:
    - add build-dependency on libmenhir-ocaml-dev
    - call dh_ocaml with --nodefined-map=why3-coq:MenhirLib
  * build with ocamlgraph:
    - turn build-conflict with libocamlgraph-ocaml-dev into build-dependency
    - call dh_ocaml with --nodefined-map=why3:Graph since this unit is
      also exported by libocamlgraph-ocaml-dev.
  * build with compression library:
    - added build-dependency on libzip-ocaml-dev
    - call dh_ocaml with --nodefined-map=why3-coq:Gzip,Zlib since these units
      are also exported by libzip-ocaml
  * build-dependency ocaml-nox: needs version >=3.11.2, according to
    upstream instructions.
  * added build-dependency libzarith-ocaml-dev
  * added recommendation (alternative): spass
  * added as-installed package tests:
    - why3+alt-ergo
    - why3+cvc3
    - why3+spass
  * update Vcs-* fields
  * standards-version 3.9.8 (no change)
  * patch typos: various typos found by lintian 

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Apr 2016 20:48:54 +0200

why3 (0.87.0-1) unstable; urgency=low

  * Initial Release (closes: #797696)

 -- Ralf Treinen <treinen@debian.org>  Sun, 20 Mar 2016 18:44:54 +0100
