=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR=debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_configure configure-stamp:
	# necessary as long as we patch configure.in
	autoconf
	# EMACS=no disables compilation of elisp code
	# USEOCAMLFIND=no implies that libs are installed into /usr/lib/
	# instead of /usr/local/lib as indicated by ocamlfind (in case it
	# is installed)
	EMACS=no USEOCAMLFIND=no dh_auto_configure
	touch configure-stamp

override_dh_auto_build:

build-arch build-stamp: configure-stamp
	dh_testdir
	$(MAKE) all byte
	touch build-stamp

build-indep: configure-stamp
	dh_testdir
	$(MAKE) doc

override_dh_auto_install:
	# do nothing

override_dh_install-arch: build-stamp
	$(MAKE) install install-lib DESTDIR=$(CURDIR)/$(BUILDDIR)
	# extra license file
	rm -f $(BUILDDIR)/usr/share/why3/LICENSE
	dh_install -a

override_dh_install-indep:
	# do nothing

override_dh_compress:
	dh_compress -Xmanual.pdf

override_dh_ocaml:
	dh_ocaml --nodefined-map=why3-coq:Why3,MenhirLib,Gzip,Zlib,Zip \
		--nodefined-map=why3:Graph
