=== debian/tests/control ===
Tests: why3+alt-ergo
Depends: why3, alt-ergo

Tests: why3+cvc3
Depends: why3, cvc3

Tests: why3+spass
Depends:why3, spass

Tests: why3+z3
Depends:why3, z3
