=== debian/changelog ===
why3 (0.87.2-3) unstable; urgency=medium

  * adapt to coq version 8.6:
    - patch coq8.6: compile coq plugin with coq8.6. Thanks to Guillaume
      Melquiond for the patch!
    - add autoconf to build-dependency (needed since configure.in is patched)
    - fix path of ocaml libdir in debian/libwhy3-ocaml-dev.install
 
 -- Ralf Treinen <treinen@debian.org>  Tue, 03 Jan 2017 20:56:05 +0100

why3 (0.87.2-2) sid; urgency=medium

  * install why3lang.sty:
    - add to why3.install
    - add target directory to why3.dirs
    - invoke dh --with tex
    - add build-dependency on tex-common

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Sep 2016 21:15:04 +0200

why3 (0.87.2-1) unstable; urgency=medium

  * new upstream release.
    - d/rules: replace EMACS=no by --disable-emacs-compilation
    - drop patch typos, applied by upstream
    - drop patch drop-timestamp, applied by upstream. As a consequence,
      we drop autoconf from d/rules and from build-dependencies 
  * add debian/tests/why3+coq

 -- Ralf Treinen <treinen@debian.org>  Thu, 01 Sep 2016 19:21:22 +0200
