=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  autoconf, 
-# autoconf only as long as we patch configure.in
+  autoconf,
   debhelper (>= 9), dh-ocaml,
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
@@ -14,7 +13,8 @@
   libsqlite3-ocaml-dev,
   libzip-ocaml-dev,
   libocamlgraph-ocaml-dev,
-  coq, libcoq-ocaml-dev
+  coq, libcoq-ocaml-dev,
+  tex-common
 Build-Depends-Indep:
   rubber, hevea, lmodern,
   texlive-latex-recommended, texlive-latex-extra,
