## why3 0.87.3

=== debian/changelog ===
why3 (0.87.3-2) unstable; urgency=medium

  * upload to unstable
  * as-installed test why3+z3: do not fail when z3 segfaults.

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Jan 2017 21:02:08 +0100

why3 (0.87.3-1) experimental; urgency=medium

  * New upstream version:
    - drop patch coq8.6 which is now integrated by upstream.
  * Fix path of ocaml libdir in debian/libwhy3-ocaml-dev.install
  * Capitalization in short description of libwhy3-ocaml-dev
  * Drop build-dependency on autoconf

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 Jan 2017 16:56:47 +0100
