=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  autoconf,
   debhelper (>= 9), dh-ocaml,
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
@@ -67,7 +66,7 @@
 Depends: ${misc:Depends}, ${ocaml:Depends}
 Provides: ${ocaml:Provides}
 Section: ocaml
-Description: ocaml librariries for why3 (dev)
+Description: OCaml librariries for why3 (dev)
  This package contains the libraries of the why3 verification platform
  for developing applications using why3.
