=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,13 @@
 BUILDDIR=debian/tmp
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml,tex
 
 override_dh_auto_configure configure-stamp:
-	# necessary as long as we patch configure.in
-	autoconf
-	# EMACS=no disables compilation of elisp code
 	# USEOCAMLFIND=no implies that libs are installed into /usr/lib/
 	# instead of /usr/local/lib as indicated by ocamlfind (in case it
 	# is installed)
-	EMACS=no USEOCAMLFIND=no dh_auto_configure
+	USEOCAMLFIND=no dh_auto_configure -- --disable-emacs-compilation
 	touch configure-stamp
 
 override_dh_auto_build:
