=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,6 @@
 
 Tests: why3+z3
 Depends:why3, z3
+
+Tests: why3+coq
+Depends: why3, why3-coq, coq
