=== debian/changelog ===
why3 (0.88.2-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el/s390x, as it hangs indefinately.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Dec 2017 08:40:43 +0100

why3 (0.88.2-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 4.1.2 (no change)
  * d/rules:
    - recreate in target configure the empty directories that are
      in the orig tarball.
    - invoke dh_missing with --fail-missing
  * fix why3.install, add missing files from usr/lib
  * Added build-dep-indep texlive-bibtex-extra
  * debhelper compat level 10
  * New SMT solver cvc4:
    - add as an alternative Recommends
    - add autopkgtest test case

 -- Ralf Treinen <treinen@debian.org>  Tue, 12 Dec 2017 22:22:24 +0100

why3 (0.87.3-2ubuntu4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:41:58 +0200

why3 (0.87.3-2ubuntu3) artful; urgency=medium

  * Don't run why3+z3 on s390x, fails. Already ignored on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Sep 2017 22:11:33 +0200

why3 (0.87.3-2ubuntu2) artful; urgency=medium

  * No-change rebuild for new menhir.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 29 Aug 2017 18:39:07 -0500

why3 (0.87.3-2ubuntu1) artful; urgency=medium

  * Skip why3+z3 test on ppc64el, as it hangs indefinately.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Jul 2017 10:25:38 +0100

why3 (0.87.3-2build5) artful; urgency=high

  * No change rebuild against coq abi change.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 16 Jul 2017 23:46:41 +0100

why3 (0.87.3-2build4) artful; urgency=high

  * No change rebuild against ocaml with old binutils on arm64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 16 Jul 2017 15:32:00 +0100

why3 (0.87.3-2build3) artful; urgency=medium

  * Rebuild due to changed ocaml abis.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jul 2017 18:00:11 +0100

why3 (0.87.3-2build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 01:29:49 +0100

why3 (0.87.3-2build1) artful; urgency=medium

  * No-change rebuild against libmenhir-ocaml-dev-gvxl7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:11:24 +0000
