=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: why3
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper (>= 9), dh-ocaml,
+  debhelper (>= 10), dh-ocaml,
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
   libzarith-ocaml-dev,
@@ -17,8 +18,9 @@
 Build-Depends-Indep:
   rubber, hevea, lmodern,
   texlive-latex-recommended, texlive-latex-extra,
-  texlive-fonts-recommended
-Standards-Version: 3.9.8
+  texlive-fonts-recommended,
+  texlive-bibtex-extra
+Standards-Version: 4.1.2
 Homepage: http://why3.lri.fr/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/why3.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/why3.git
@@ -29,7 +31,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: alt-ergo | cvc3 | why3-coq | spass | z3
+Recommends: alt-ergo | cvc3 | cvc4 | why3-coq | spass | z3
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
