=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,16 @@
 	dh $@ --with ocaml,tex
 
 override_dh_auto_configure configure-stamp:
-	# USEOCAMLFIND=no implies that libs are installed into /usr/lib/
-	# instead of /usr/local/lib as indicated by ocamlfind (in case it
-	# is installed)
-	USEOCAMLFIND=no dh_auto_configure -- --disable-emacs-compilation
+	# empty dirs in the orig tarball which may be dropped by git
+	mkdir -p bin lib/plugins plugins/printer
+	dh_auto_configure -- --disable-emacs-compilation
 	touch configure-stamp
 
 override_dh_auto_build:
 
 build-arch build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) all byte
+	$(MAKE)
 	touch build-stamp
 
 build-indep: configure-stamp
@@ -35,6 +34,9 @@
 override_dh_install-indep:
 	# do nothing
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_compress:
 	dh_compress -Xmanual.pdf
