=== debian/changelog ===
why3 (0.88.3-1ubuntu4) bionic; urgency=medium

  * Implement proper per-architecture handling of the why3+cvc4 autopkgtest.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Apr 2018 18:32:36 -0700

why3 (0.88.3-1ubuntu3) bionic; urgency=medium

  * debian/patches/portable-getopt.patch: fix unportable assumptions in
    getopt_long() handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Apr 2018 18:25:53 -0700

why3 (0.88.3-1ubuntu2) bionic; urgency=medium

  * Drop the why3+cvc4 test, since cvc4 is only available on x86 and
    there's no way to make autopkgtests per-architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 23:21:56 -0700

why3 (0.88.3-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el/s390x, as it hangs indefinitely.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jan 2018 10:46:52 +0100

why3 (0.88.3-1) unstable; urgency=medium

  * New upstream version.
    - drop creation of empty directories in debian/rules, this has been
      fixed by upstream.
  * Standards-Version 4.1.3 (no change)
  * debian/rules:
    - fix configure stamps
    - drop build stamps, we do not need them. 
    - dh-install: exclude extra LICENSE file
    - drop override_dh_auto_build 
  * debhelper compatibility level 11

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 Jan 2018 14:52:54 +0100
