=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper (>= 10), dh-ocaml,
+  debhelper (>= 11), dh-ocaml,
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
   libzarith-ocaml-dev,
@@ -20,7 +20,7 @@
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://why3.lri.fr/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/why3.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/why3.git
