=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR=debian/tmp

%:
	dh $@ --with ocaml,tex

override_dh_auto_configure: configure-stamp

configure-stamp:
	dh_auto_configure -- --disable-emacs-compilation
	touch configure-stamp

build-arch: configure-stamp
	dh_testdir
	$(MAKE)

build-indep: configure-stamp
	dh_testdir
	$(MAKE) doc

override_dh_auto_install:
	# do nothing

override_dh_install-arch: build-arch
	$(MAKE) install install-lib DESTDIR=$(CURDIR)/$(BUILDDIR)
	dh_install -a -XLICENSE

override_dh_install-indep:
	# do nothing

override_dh_missing:
	dh_missing --fail-missing

override_dh_compress:
	dh_compress -Xmanual.pdf

override_dh_ocaml:
	dh_ocaml --nodefined-map=why3-coq:Why3,MenhirLib,Gzip,Zlib,Zip \
		--nodefined-map=why3:Graph
