=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 Tests: why3+cvc3
 Depends: why3, cvc3
+
+Tests: why3+cvc4
+Depends: why3, cvc4 [amd64 i386]
 
 Tests: why3+spass
 Depends:why3, spass
