=== debian/changelog ===
why3 (1.0.0-2.1~build1) cosmic; urgency=medium

  * Make it syncable again

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 10:01:00 +0200

why3 (1.0.0-2) unstable; urgency=medium

  * as-installed test why3+cvc4:
    - dropped erroneous version constraint on cvc4.
    - invoke prover simply as CVC4
    - marked test as skip-not-installable, instead of flaky, as cvc4 does not
      build on all architectures (architecture restriction set in src:cvc4),
      and since cvc4 is only an alternative dependency of why3.
  * as-installed test why3+cvc3:
    - marked test as skip-not-installable, instead of flaky, since cvc3
      recently has FTBFS, and since cvc3 is only an alternative dependency
      of why3.
  * as-installed-test why3+spass:
    - marked test as skip-not-installable since spass recently has FTBFS
      issues and was dropped from testing, and since spass is only an
      alternative dependency of why3.

 -- Ralf Treinen <treinen@debian.org>  Sun, 12 Aug 2018 23:29:44 +0200

why3 (1.0.0-1) unstable; urgency=medium

  * New upstream version
    - drop patch getopt_long-return-value which has been applied upstream
  * Upstream does no longer build coq-tactic:
    - drop these from why3-coq.install
    - drop mention of these from the long description of why3-coq
  * libwhy3-ocaml-dep: add dependency ${shlibs:Depends}
  * As-installed-tests:
    - adapt the why3 files in d/tests/why to the new syntax of WhyML
    - mark tests with cvc3 and cvc4 as flaky  (closes: #902308)
    - test why3+cvc4: specify 'CVC4 1.5' in the invocation of why3,
      constrain the dependency of the test on cvc4 accordingly.
  * NEWS.Debian: new syntax of WhyML, new location of standard lib

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Jun 2018 22:19:33 +0200

why3 (0.88.3-3) unstable; urgency=medium

  * d/control: update Vcs-* fields to salsa
  * Add build-dependendency texlive-plain-generic to fix FTBFS with
    texlive 2018.20180505-1 (closes: #899084)
  * test why3+cvc4: skip when cvc4 is not available (closes: #895104)

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 May 2018 13:37:54 +0200

why3 (0.88.3-2) unstable; urgency=medium

  * Standards-version 4.1.4 (no change).
  * d/copyright: https in format specification
  * Add patch getopt_long-return-value which fixes a portability issue
    (closes: #895103). Thanks a lot to Steve Langasek for the patch!

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 Apr 2018 11:54:01 +0200
