=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: why3
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
   debhelper (>= 11), dh-ocaml,
@@ -17,13 +16,14 @@
   tex-common
 Build-Depends-Indep:
   rubber, hevea, lmodern,
+  texlive-plain-generic,
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://why3.lri.fr/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/why3.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/why3.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/why3
 
 Package: why3
 Architecture: any
@@ -61,11 +61,11 @@
 Description: Coq support for the why3 verification platform
  This package contains the compiled coq files that are necessary to
  use the coq proof assistant together with the why3 deductive
- verification platform, as well as the why3 tactic for coq.
+ verification platform.
 
 Package: libwhy3-ocaml-dev
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Section: ocaml
 Description: OCaml librariries for why3 (dev)
