=== debian/tests/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 
 Tests: why3+cvc3
 Depends: why3, cvc3
+Restrictions: skip-not-installable
 
 Tests: why3+cvc4
-Depends: why3, cvc4 [amd64 i386]
+Depends: why3, cvc4
+Restrictions: skip-not-installable
 
 Tests: why3+spass
 Depends:why3, spass
+Restrictions: skip-not-installable
 
 Tests: why3+z3
 Depends:why3, z3
