=== examples/multiprecision/plots/Makefile ===
all:
	./divplot &
	./divrelative &
	./mulrelative &
	./addrelative &
	./addplot &
#	./minidivrelative &
#	./minimulrelative &
#	./miniaddrelative &
#	./gmpdivplot &
#	./gmpmulplot &
#	./gmpaddplot &
	./toomrelative
