=== debian/changelog ===
why3 (1.1.0-1build1) disco; urgency=medium

  * No-change rebuild against latest menhir

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Nov 2018 10:27:42 -0500

why3 (1.1.0-1) unstable; urgency=medium

  * New upstream version. Works with cvc4 version 1.6 (closes: #906001)
  * Since lablgtk2 does no longer build liblablgtksourceview2-ocaml-dev:
    - drop build-dependencies liblablgtk2-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - d/rules: configure with --disable-ide
    - note in NEWS that the IDE is dropped.
    - drop mention of IDE from why3.1 manpage.
  * Dependencies on provers : enforce version >= 2.0.0. for alt-ergo since
    upstream has dropped support for older versions. Add an
    "skip-not-installable" on the test why3+alt-ergo
  * Test why3+cvc4: fix selection of solver cvc4
  * d/copyright: update full text of CC license.
  * d/rules: remove empty why3shapes.gz files
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Nov 2018 19:23:56 +0100
