=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
   libzarith-ocaml-dev,
-  liblablgtk2-ocaml-dev, liblablgtksourceview2-ocaml-dev,
   libsqlite3-ocaml-dev,
   libzip-ocaml-dev,
   libocamlgraph-ocaml-dev,
@@ -20,7 +19,7 @@
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/why3
@@ -31,7 +30,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: alt-ergo | cvc3 | cvc4 | why3-coq | spass | z3
+Recommends:  cvc3 | cvc4 | why3-coq | spass | z3 | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
