## why3 1.1.1

=== debian/changelog ===
why3 (1.1.1-3) unstable; urgency=medium

  * disable coq support.

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Feb 2019 23:01:38 +0100

why3 (1.1.1-2) unstable; urgency=medium

  * why3-coq: depend on the virtual package provided by coq and indicating
    the version of the coq ABI (closes: #918633).
  * Standards-Version 4.3.0 (no change)
  * Debhelper compatibility level 12
    - override dh_dwz to use --no-dwz-multifile

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Jan 2019 20:12:24 +0100

why3 (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix whitespace in debian/{control/changelog}

 -- Ralf Treinen <treinen@debian.org>  Tue, 18 Dec 2018 04:50:38 +0100
