=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper (>= 11), dh-ocaml,
+  debhelper (>= 12), dh-ocaml,
   ocaml-nox (>= 3.11.2),
   menhir, libmenhir-ocaml-dev,
   libzarith-ocaml-dev,
   libsqlite3-ocaml-dev,
   libzip-ocaml-dev,
   libocamlgraph-ocaml-dev,
-  coq, libcoq-ocaml-dev,
+# coq, libcoq-ocaml-dev,
   tex-common
 Build-Depends-Indep:
   rubber, hevea, lmodern,
@@ -19,7 +19,7 @@
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/why3
@@ -30,7 +30,8 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends:  cvc3 | cvc4 | why3-coq | spass | z3 | alt-ergo (>= 2.0.0)
+# Recommends: cvc3 | cvc4 | why3-coq | spass | z3 | alt-ergo (>= 2.0.0)
+Recommends: cvc3 | cvc4 | spass | z3 | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
@@ -55,7 +56,8 @@
 
 Package: why3-coq
 Architecture: any
-Depends: coq, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+# Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Recommends: why3
 Description: Coq support for the why3 verification platform
  This package contains the compiled coq files that are necessary to
