=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: why3+alt-ergo
-Depends: why3, alt-ergo
+Depends: why3, alt-ergo (>= 2.0.0)
+Restrictions: skip-not-installable
 
 Tests: why3+cvc3
 Depends: why3, cvc3
@@ -16,5 +17,5 @@
 Tests: why3+z3
 Depends:why3, z3
 
-Tests: why3+coq
-Depends: why3, why3-coq, coq
+# Tests: why3+coq
+# Depends: why3, why3-coq, coq
